org.wildfly.swarm.swagger

## Interface SwaggerArchive

-     public interface SwaggerArchive

  Author:
    Lance Ball

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SWAGGER_CONFIGURATION_PATH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getResourcePackages()`
    `boolean` | `hasContextRoot()` Determine if the archive has a context root configured
    `boolean` | `hasResourcePackages()` Determine if the archive has been configured for scanning
    `SwaggerArchive` | `setContact(String info)` Sets the contact information for the application
    `SwaggerArchive` | `setContextRoot(String root)` Sets the context root, or base path for the API calls.
    `SwaggerArchive` | `setDescription(String description)` Sets the description for the application being exposed by swagger.json
    `SwaggerArchive` | `setHost(String host)` Sets the addressable host name and port for the API URLs.
    `SwaggerArchive` | `setLicense(String license)` Sets the license of the application.
    `SwaggerArchive` | `setLicenseUrl(String licenseUrl)` Sets the license URL for this application
    `SwaggerArchive` | `setPrettyPrint(boolean prettyPrint)` Sets whether the swagger.json will be pretty printed.
    `SwaggerArchive` | `setResourcePackages(String... packages)`
    `SwaggerArchive` | `setSchemes(String... schemes)` Sets the schemes for the for the API URLs (http, https)
    `SwaggerArchive` | `setTermsOfServiceUrl(String url)` Sets the url to be displayed for the application's term's of service
    `SwaggerArchive` | `setTitle(String title)` Sets the title of the application being exposed by swagger.json
    `SwaggerArchive` | `setVersion(String version)` Sets the version of the API being exposed for this application

- - ### Field Detail

    - #### SWAGGER_CONFIGURATION_PATH

          static final String SWAGGER_CONFIGURATION_PATH

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setResourcePackages

          SwaggerArchive setResourcePackages(String... packages)

    - #### setTitle

          SwaggerArchive setTitle(String title)

      Sets the title of the application being exposed by swagger.json
      Parameters:
        `title` - the application's title
      Returns:
        this

    - #### setDescription

          SwaggerArchive setDescription(String description)

      Sets the description for the application being exposed by swagger.json
      Parameters:
        `description` - the description
      Returns:
        this

    - #### setTermsOfServiceUrl

          SwaggerArchive setTermsOfServiceUrl(String url)

      Sets the url to be displayed for the application's term's of service
      Parameters:
        `url` - the URL string
      Returns:
        this

    - #### setContact

          SwaggerArchive setContact(String info)

      Sets the contact information for the application
      Parameters:
        `info` - The contact information string
      Returns:
        this

    - #### setLicense

          SwaggerArchive setLicense(String license)

      Sets the license of the application.
      Parameters:
        `license` - the license text
      Returns:
        this

    - #### setLicenseUrl

          SwaggerArchive setLicenseUrl(String licenseUrl)

      Sets the license URL for this application
      Parameters:
        `licenseUrl` - the license URL as a string
      Returns:
        this

    - #### setVersion

          SwaggerArchive setVersion(String version)

      Sets the version of the API being exposed for this application
      Parameters:
        `version` - the version string
      Returns:
        this

    - #### setSchemes

          SwaggerArchive setSchemes(String... schemes)

      Sets the schemes for the for the API URLs (http, https)
      Parameters:
        `schemes` - One or more strings. Valid values are 'http' and 'https'
      Returns:
        this

    - #### setHost

          SwaggerArchive setHost(String host)

      Sets the addressable host name and port for the API URLs. Does not include the schemes nor context root.
      Parameters:
        `host` - the host name
      Returns:
        this

    - #### setContextRoot

          SwaggerArchive setContextRoot(String root)

      Sets the context root, or base path for the API calls.
      Parameters:
        `root` - the context root
      Returns:
        this

    - #### hasContextRoot

          boolean hasContextRoot()

      Determine if the archive has a context root configured
      Returns:
        true if the context root has been configured

    - #### setPrettyPrint

          SwaggerArchive setPrettyPrint(boolean prettyPrint)

      Sets whether the swagger.json will be pretty printed.
      Parameters:
        `prettyPrint` - if true swagger.json will be pretty printed
      Returns:
        this

    - #### hasResourcePackages

          boolean hasResourcePackages()

      Determine if the archive has been configured for scanning
      Returns:
        true if the packages to be scanned have been configured

    - #### getResourcePackages

          String[] getResourcePackages()

Copyright © 2017 JBoss by Red Hat. All rights reserved.